Bug 199523 - WKObject's minimum object alignment needs to be larger
Summary: WKObject's minimum object alignment needs to be larger
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Local Build
Hardware: Macintosh Other
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 179518
  Show dependency treegraph
 
Reported: 2019-07-05 11:51 PDT by Saagar Jha
Modified: 2019-07-09 14:54 PDT (History)
13 users (show)

See Also:


Attachments
Patch (1.80 KB, patch)
2019-07-05 16:26 PDT, Saagar Jha
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Saagar Jha 2019-07-05 11:51:48 PDT
Got a warning when working on something unrelated: apparently some of the objects we wrap with WKObject require 16-byte alignment on my system (such as WebFrameProxy) but we are running its constructor on an 8-byte aligned address. I believe that changing minimumObjectAlignment to 16 should cover everything that we use, but I have a patch with something that's IMO more portable than a hardcoded number that I'll attach as soon as I can get around to it.
Comment 1 Saagar Jha 2019-07-05 16:26:37 PDT
Created attachment 373552 [details]
Patch
Comment 2 Chris Dumez 2019-07-08 15:24:56 PDT
Looks like Tim Horton did this in Bug 179518.
Comment 3 Tim Horton 2019-07-08 15:32:23 PDT
Oh dear. That was watch bringup, my memory is not great.
Comment 4 WebKit Commit Bot 2019-07-09 14:49:27 PDT
Comment on attachment 373552 [details]
Patch

Clearing flags on attachment: 373552

Committed r247281: <https://trac.webkit.org/changeset/247281>
Comment 5 WebKit Commit Bot 2019-07-09 14:49:29 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2019-07-09 14:54:52 PDT
<rdar://problem/52853984>